=== debian/changelog ===
dde-shell (0.0.40) unstable; urgency=medium

  * fix: incorrect height for quickpanel's childplugin(Issue: 10036)
  * fix: incorrect backgroundColor for quickpanel's item (#696)(Issue: 10379)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 14 Aug 2024 14:18:35 +0800

dde-shell (0.0.39) unstable; urgency=medium

  * chore: disable hide force-docked item(Issue: 10371)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 20:43:29 +0800

dde-shell (0.0.38) unstable; urgency=medium

  * chore: move network plugin to pinned area(Issue: 10355)
  * feat: hide search, clipboard and workspace when leftAlignment(Issue: 10363)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 16:04:21 +0800

dde-shell (0.0.37) unstable; urgency=medium

  * fix: temporary revert application name change

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 10:48:37 +0800

dde-shell (0.0.36) unstable; urgency=medium

  * bump version to 0.0.36

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 08 Aug 2024 19:31:54 +0800

dde-shell (0.0.35) unstable; urgency=medium

  * fix: dock covered by fullscreen launchpad(Issue: 10222)
  * fix: drag plugin item cause plugin's event blocked (#663)(Issue: 9819)(Influence: dragging plugin and plugin item display)
  * chore: change the default order of system tray(Issue: 10049)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 08 Aug 2024 15:15:13 +0800

dde-shell (0.0.34) unstable; urgency=medium

  * chore: hide tray plugins by default(Issue: #10049)
  * fix: Modify smart hide to always hide issues(Issue: https://github.com/linuxdeepin/developer-center/issues/10107)
  * fix: Popup can't switch to other by one click(Issue: https://github.com/linuxdeepin/developer-center/issues/10095)
  * fix: mouse position drift(Issue: https://github.com/linuxdeepin/developer-center/issues/9964)
  * fix: dateTime plugin position error
  * fix: popup can't close when click empty area for dock(Issue: https://github.com/linuxdeepin/developer-center/issues/10075)
  * chore: tooltip poupu and panel popup delayed show(Issue: https://github.com/linuxdeepin/developer-center/issues/10119)(Influence: tooltip and panle popup display)
  * fix: dock needs to be on top of the launchpad(Issue: https://github.com/linuxdeepin/developer-center/issues/9996, https://github.com/linuxdeepin/developer-center/issues/9992)
  * fix: PopupWindow position cannot be refreshed(Issue: https://github.com/linuxdeepin/developer-center/issues/10096)
  * fix: Unable to pop up when modifying network pop ups(Issue: https://github.com/linuxdeepin/developer-center/issues/10153)
  * fix: quick panel icon size error(Issue: https://github.com/linuxdeepin/developer-center/issues/9957)
  * fix: adjust border's width for quickpanel(Issue: https://github.com/linuxdeepin/developer-center/issues/9798)
  * fix: adjust ui for stashed(Issue: https://github.com/linuxdeepin/developer-center/issues/9894)
  * fix: Temporarily disable all windows action(Issue: https://github.com/linuxdeepin/developer-center/issues/10172)
  * fix: fullscreen frame follows the dock(Issue: https://github.com/linuxdeepin/developer-center/issues/7188)
  * fix: no tooltip when moving from the volume plugin to the shortcut panel icon (#651)(Influence: shortcut panel tooltip)
  * fix: subMenu can't show
  * fix: The padding and rounded corners of the tooltip are incorrect
  * chore: show bluetooth tray icon by default(Issue: #10049)
  * fix: wrong size(Issue: #10077)
  * fix: dock's frontendWindowRect size is wrong(Issue: https://github.com/linuxdeepin/developer-center/issues/10155)(Influence: frontendWindowRect size)
  * fix: sub menu miss focus(Issue: https://github.com/linuxdeepin/developer-center/issues/10015)
  * fix: adjust radius for stashed

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 06 Aug 2024 15:37:33 +0800

dde-shell (0.0.33) unstable; urgency=medium

  * fix: Update translation (#611)(issue: 9965)
  * fix: adjust ui for dock's applet(Issue: 8633)
  * feat: support active state for quickpanel's item(Issue: 10020)
  * fix: The dock translation is incorrect(Issue: 9947)
  * fix: popup's height isn't enough(Issue: 9702)
  * fix: adjust ui(Issue: 9995, 9894)
  * fix: Plugin should not be dragged into the application tray(Issue: 10048)
  * feat: Add smart hide function(Issue: 9842)
  * chore: modify the order of systray(Issue: 10049)
  * Revert "fix: unable to set visibility of 'Show Desktop' in DCC"(Issue: 10055)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 31 Jul 2024 13:53:47 +0800

dde-shell (0.0.32) unstable; urgency=medium

  * fix: unable to set visibility of 'Show Desktop' in DCC(Issue: 9820)

 -- zyz <zhaoyingzhen@uniontech.com>  Fri, 26 Jul 2024 16:11:19 +0800

dde-shell (0.0.31) unstable; urgency=medium

  * bump version to 0.0.31

 -- zyz <zhaoyingzhen@uniontech.com>  Thu, 25 Jul 2024 22:05:46 +0800

dde-shell (0.0.30) unstable; urgency=medium

  * fix: the item of datetime and showdesktop display overlap(Issue: 9696)
  * fix: add margins to extend mouse area for tray item(Issue: 9720)
  * fix: large radius when exist scaling(Issue: 9818)
  * fix: popup can drag(Issue: 9896)
  * fix: workSpace toolTip text error(Issue: 9877)
  * fix: Tray button rotates as a whole(Issue: 9880)
  * fix: Application tray position drift(Issue: 9603)
  * fix: tray container shows blank area when there is only one item(Issue: 9887)
  * fix: Application preview background color overflow(Issue: 9433)
  * fix: Application preview background color overflow(Issue: 9433)
  * fix: the stash container turns into a small ball(Issue: 9830)
  * refact: using Item instead of Popup for PanelPopup(Issue: 9676)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 14:27:44 +0800

dde-shell (0.0.29) unstable; urgency=medium

  * fix: can't hide menu when click outside dock
  * feat: add grabMouse for window

 -- Yingzhen zhao <zhaoyingzhen@uniontech.com>  Fri, 19 Jul 2024 17:50:32 +0800


