=== debian/control ===
Source: dde-shell
Section: unknown
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat ( =12),
 cmake,
 systemd,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-base-dev-tools,
 qt6-tools-dev,
 qt6-wayland ( >=6.6),
 qt6-wayland-dev ( >=6.6),
 qt6-wayland-dev-tools,
 qt6-wayland-private-dev,
 wayland-protocols,
 libdtk6gui-dev,
 libdtk6core-bin,
 libdtk6core-dev,
 libdtk6widget-dev,
 libdtkcommon-dev,
 libxcb-ewmh-dev,
 libxcb-res0-dev,
 libxcb-util-dev,
 libxcb-icccm4-dev,
 libxcb1-dev,
 libxtst-dev,
 extra-cmake-modules,
 libqt6svg6,
 libdtk6declarative, qml6-module-qtquick-controls2-styles-chameleon, qt6-declarative-private-dev,
 libyaml-cpp-dev,
 qtbase5-dev, qtbase5-private-dev, qtwayland5-dev-tools, qtwayland5-private-dev, libdtkgui-dev, libdtkwidget-dev, libdtkcore5-bin,
 qt6-l10n-tools, qt6-svg-dev, dde-tray-loader-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: libdde-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-tray-loader
Multi-Arch: same
Description: DDE Shell library
 DDE Shell is a plugin system that integrates plugins developed based on this plugin system into DDE.

Package: libdde-shell-dev
Architecture: any
Depends: ${misc:Depends}, libdde-shell( =${binary:Version}),
  qt6-base-dev, libdtk6core-dev
Description: DDE Shell devel library
 DDE Shell is a plugin system that integrates plugins developed based on this plugin system into DDE.

Package: dde-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdde-shell( =${binary:Version}),
  libqt6svg6, qml6-module-qt-labs-platform,
  qml6-module-qtquick-layouts, qml6-module-qtquick-window,
  libdtk6declarative, qml6-module-qtquick-controls2-styles-chameleon,
  qml6-module-qtquick-layouts, qml6-module-qtquick-window,
  qml6-module-qt-labs-platform, qml6-module-qt-labs-qmlmodels,
Multi-Arch: same
Description: An wrapper for developed based on dde-shell plugin system

Package: dde-shell-example
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdde-shell( =${binary:Version}),
  qml6-module-qt-labs-platform
Multi-Arch: same
Description: DDE Shell example
 This package contains some plugins based on dde-shell plugin system.
