=== panels/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_subdirectory(osd)
add_subdirectory(dock)
add_subdirectory(notification)
