=== panels/dock/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,8 @@
     dockhelper.cpp
     waylanddockhelper.h
     waylanddockhelper.cpp
+    loadtrayplugins.h
+    loadtrayplugins.cpp
 )
 
 # Old dbus interface compatible
@@ -150,6 +152,7 @@
     $<TARGET_PROPERTY:dde-shell-frame,INTERFACE_INCLUDE_DIRECTORIES>
 )
 
+install(TARGETS dock-plugin DESTINATION "${QML_INSTALL_DIR}/org/deepin/ds/dock/")
 install(DIRECTORY "${PROJECT_BINARY_DIR}/plugins/org/deepin/ds/dock/" DESTINATION "${QML_INSTALL_DIR}/org/deepin/ds/dock/")
 dtk_add_config_meta_files(APPID org.deepin.ds.dock FILES dconfig/org.deepin.ds.dock.json) # compat
 dtk_add_config_meta_files(APPID org.deepin.ds.dock FILES dconfig/org.deepin.ds.dock.tray.json) # compat
