=== panels/dock/taskmanager/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS DBus WaylandClient)
 find_package(yaml-cpp REQUIRED)
+find_package(TreelandProtocols REQUIRED)
 
 set_source_files_properties(
     ${CMAKE_CURRENT_SOURCE_DIR}/api/amdbus/org.desktopspec.ApplicationManager1.Application.xml
@@ -48,6 +49,7 @@
 
 add_library(dock-taskmanager SHARED ${DBUS_INTERFACES}
     abstractwindow.h
+    abstractwindowmonitor.cpp
     abstractwindowmonitor.h
     abstractitem.h
     abstractitem.cpp
@@ -55,6 +57,8 @@
     appitem.h
     itemmodel.cpp
     itemmodel.h
+    rolecombinemodel.cpp
+    rolecombinemodel.h
     desktopfileabstractparser.cpp
     desktopfileabstractparser.h
     desktopfileamparser.cpp
@@ -72,7 +76,7 @@
 
 qt_generate_wayland_protocol_client_sources(dock-taskmanager
     FILES
-        ${CMAKE_CURRENT_SOURCE_DIR}/api/wayland-protocols/treeland-foreign-toplevel-manager-v1.xml
+        ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-foreign-toplevel-manager-v1.xml
         ${WaylandProtocols_DATADIR}/staging/ext-foreign-toplevel-list/ext-foreign-toplevel-list-v1.xml
 )
 
@@ -85,7 +89,7 @@
 
 if (BUILD_WITH_X11)
     target_compile_definitions(dock-taskmanager PRIVATE BUILD_WITH_X11=)
-    pkg_check_modules(XCB REQUIRED IMPORTED_TARGET xcb xcb-res xcb-ewmh)
+    pkg_check_modules(TaskmanagerXcb REQUIRED IMPORTED_TARGET xcb xcb-res xcb-ewmh xcb-icccm)
     find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget)
     target_sources(dock-taskmanager PRIVATE
         x11preview.h
@@ -100,7 +104,7 @@
     )
 
     target_link_libraries(dock-taskmanager PUBLIC
-        PkgConfig::XCB
+        PkgConfig::TaskmanagerXcb
         Qt${QT_VERSION_MAJOR}::Widgets
         Dtk${DTK_VERSION_MAJOR}::Widget
     )
