=== debian/changelog ===
dde-shell (1.0.10) unstable; urgency=medium

  * fix: protocol error caused by frequent creation and destruction of WaylandOutput 

 -- tsic404 <liuheng@depein.org>  Wed, 18 Dec 2024 11:35:55 +0800

dde-shell (1.0.9) unstable; urgency=medium

  * fix: WeChat and WXChat are recognized as the same
  * fix: empty icon on task manager in some cases

 -- tsic404 <liuheng@depein.org>  Wed, 04 Dec 2024 15:17:13 +0800

dde-shell (1.0.8) unstable; urgency=medium

  * fix: correct window recognition errors
  * fix: dock with no item inside
  * chore: rename TreeLand to Treeland
  * fix: Some windows cannot be recognized

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 13 Nov 2024 10:43:01 +0800

dde-shell (1.0.7) unstable; urgency=medium

  * feat: Receive close quick panel requests from plugins

 -- Wu Haotian <wuhaotian@uniontech.com>  Fri, 01 Nov 2024 10:32:33 +0800

dde-shell (1.0.6) unstable; urgency=medium

  * fix: update translations

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 25 Oct 2024 11:52:49 +0800

dde-shell (1.0.5) unstable; urgency=medium

  * fix: tray is popped up when a plugin's visible changes
  * fix: task isn't hidden when it's in hidden mode
  * feat: add new model for all application
  * feat: use rolecombine model for window identify
  * fix: differ text rendering effect between qml and widget

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 24 Oct 2024 10:49:24 +0800

dde-shell (1.0.4) unstable; urgency=medium

  * fix: stuck after the crash
  * fix: WorkspaceItem preview image might be incorrect in screen change (#792)
  * fix: plugin not show when not found in dconfig even it can not set visible
  * i18n: Updates for project Deepin Desktop Environment (#743)

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 16 Oct 2024 15:22:02 +0800

dde-shell (1.0.3) unstable; urgency=medium

  * treeland protocols rename.

 -- tsic404 <liuheng@deepin.org>  Tue, 24 Sep 2024 10:00:40 +0800

dde-shell (1.0.2) unstable; urgency=medium

  * fix: the opacity of preview window isn't changed

 -- Wang Fei <wangfei@deepin.org>  Wed, 11 Sep 2024 15:52:16 +0800

dde-shell (1.0.1) unstable; urgency=medium

  * release 1.0.1

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 04 Sep 2024 17:46:30 +0800

dde-shell (1.0.0) unstable; urgency=medium

  * fix missing hovered state for quickpanel
    (linuxdeepin/developer-center#9799)
  * fix missing hovered background for quickpanel's power button
    (linuxdeepin/developer-center#9803)
  * Modify the taskbar preview close button to a perfect circle
    (linuxdeepin/developer-center#9813)
  * Revert ripple animation for maintain branch

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 02 Sep 2024 16:59:00 +0800

dde-shell (0.0.43) unstable; urgency=medium

  * bump version to 0.0.43

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 29 Aug 2024 10:41:01 +0800

dde-shell (0.0.42) unstable; urgency=medium

  * feat: tooltip and preview call to treeland
  * fix: animation when drag from launchpad to dock

 -- tsic404 <liuheng@deepin.org>  Fri, 23 Aug 2024 16:45:08 +0800

dde-shell (0.0.41) unstable; urgency=medium

  * fix: incorrect animation application when dragging(Issue: 10330)
  * fix: Dock following mouse display error when modifying SmartHide(Issue: 10404)
  * fix: plugin process is pulled up again after crashed(Issue: 10400)
  * fix: modify panel popup shadow offset and color(Issue: 10325)
  * fix: forced exit is invalid(Issue: 10436)
  * fix: searchItem right click response range is too large(Issue: 10294)
  * fix: pupup surface doesn't release(Issue: 10121)
  * chore: adjust iconSize for quickpanel(Issue: 9852)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 17:32:09 +0800
