=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  qt6-wayland-dev-tools,
  qt6-wayland-private-dev,
  wayland-protocols,
+ treeland-protocols,
  libdtk6gui-dev,
  libdtk6core-bin,
  libdtk6core-dev,
@@ -31,7 +32,7 @@
  libdtk6declarative, qml6-module-qtquick-controls2-styles-chameleon, qt6-declarative-private-dev,
  libyaml-cpp-dev,
  qtbase5-dev, qtbase5-private-dev, qtwayland5-dev-tools, qtwayland5-private-dev, libdtkgui-dev, libdtkwidget-dev, libdtkcore5-bin,
- qt6-l10n-tools, qt6-svg-dev, dde-tray-loader-dev
+ qt6-l10n-tools, qt6-svg-dev, dde-tray-loader-dev (>= 0.0.11), dde-application-manager-api(>= 1.2.16)
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
